Summary:	GNOME Shell extension to change behavior and disable UI elements
Name:		gnome-shell-extension-just-perfection
Version:	34.0
Release:	1
License:	GPL v3+
Source0:	https://gitlab.gnome.org/jrahmatzadeh/just-perfection/-/archive/%{version}/just-perfection-%{version}.tar.gz
# Source0-md5:	8027fe9f39b287c06372c835f6f92b99
URL:		https://gitlab.gnome.org/jrahmatzadeh/just-perfection
BuildRequires:	gettext
BuildRequires:	glib2-devel
BuildArch:	noarch

%define		extuuid		just-perfection-desktop@just-perfection

%description
GNOME Shell extension to change behavior and disable UI elements.

%prep
%setup -q -n just-perfection-%{version}

%build
glib-compile-resources \
	--sourcedir src/data \
	src/data/resources.gresource.xml


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/{gnome-shell/extensions/%{extuuid},glib-2.0/schemas}

cd src
# install main extension files
cp -rp *.js stylesheet.css metadata.json lib data/resources.gresource \
	$RPM_BUILD_ROOT%{_datadir}/gnome-shell/extensions/%{extuuid}
cd ..

# install the schema file
cp -p src/schemas/org.gnome.shell.extensions.just-perfection.gschema.xml \
	$RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas/

# install locale files
cd po
for po in *.po; do
    install -d $RPM_BUILD_ROOT%{_localedir}/${po%.po}/LC_MESSAGES
    msgfmt -o $RPM_BUILD_ROOT%{_localedir}/${po%.po}/LC_MESSAGES/just-perfection.mo $po
done
cd ..

%find_lang just-perfection

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f just-perfection.lang
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md
%{_datadir}/gnome-shell/extensions/%{extuuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.just-perfection.gschema.xml
%changelog
* Tue Jun 24 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-shell-extension-just-perfection.git;a=log;h=master

* Wed Jun 25 2025 Jan Rękorajski <baggins@pld-linux.org> 2ae5537
- new

